package
{
	import flash.display.Bitmap;
	import flash.display.DisplayObject;
	import flash.display.Sprite;
	import flash.display.StageAlign;
	import flash.display.StageScaleMode;
	import flash.events.Event;
	import flash.events.MouseEvent;
	
	import it.sephiroth.ui.components.DistortTool;
	
	public class test3 extends Sprite
	{
		[Embed(source="assets/image.jpg")] private var img1: Class;
		[Embed(source="assets/image2.jpg")] private var img2: Class;
		
		private var distort: DistortTool;
		
		public function test3()
		{
			super();
			
			var bmp1: Bitmap = new img1();
			var bmp2: Bitmap = new img2();
			
			addChild( bmp1 );
			addChild( bmp2 );
			
			bmp2.x = bmp1.x + bmp1.width + 50;
			
			
			distort = new DistortTool( 30 );
			addChild( distort );
			
			addEventListener( Event.ADDED_TO_STAGE, onAddedToStage);
		}

		private function onAddedToStage(event:Event):void
		{
			stage.align = StageAlign.TOP_LEFT;
			stage.scaleMode = StageScaleMode.NO_SCALE;
			
			stage.addEventListener( MouseEvent.CLICK, onClick);
		}

		
		private function onClick(event:MouseEvent):void
		{
			var tg: DisplayObject = DisplayObject( event.target );
			if( distort.contains( tg ) || tg == distort )
				return;
			
			distort.target = distort.target == this.getChildAt(0) ? this.getChildAt(1) : this.getChildAt(0);
			distort.transform.matrix = distort.target.transform.matrix.clone();
		}
	}
}